[arch-commits] Commit in gegl/repos (staging-x86_64 staging-x86_64/PKGBUILD)

Antonio Rojas arojas at gemini.archlinux.org
Sat May 14 08:22:32 UTC 2022


    Date: Saturday, May 14, 2022 @ 08:22:32
  Author: arojas
Revision: 445445

archrelease: copy trunk to staging-x86_64

Added:
  gegl/repos/staging-x86_64/
  gegl/repos/staging-x86_64/PKGBUILD
    (from rev 445444, gegl/trunk/PKGBUILD)

----------+
 PKGBUILD |   49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

Copied: gegl/repos/staging-x86_64/PKGBUILD (from rev 445444, gegl/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2022-05-14 08:22:32 UTC (rev 445445)
@@ -0,0 +1,49 @@
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+
+pkgname=gegl
+_tag='f293be3fa442fd89486a710e2e0700a6c2758d90'
+pkgver=0.4.36
+pkgrel=3
+pkgdesc='Graph based image processing framework'
+arch=('x86_64')
+url='https://www.gegl.org/'
+license=('GPL3' 'LGPL3')
+depends=('babl' 'jasper' 'json-glib' 'lensfun' 'libgexiv2' 'libraw' 'librsvg' 'libspiro'
+         'libtiff' 'luajit' 'openexr' 'poppler-glib' 'suitesparse')
+makedepends=('exiv2' 'ffmpeg' 'git' 'glu' 'gobject-introspection' 'intltool' 'mesa'
+             'meson' 'python-gobject' 'ruby' 'vala')
+options=('debug')
+optdepends=('ffmpeg: ffmpeg plugin'
+            'graphviz: for gegl-introspect')
+source=("git+https://gitlab.gnome.org/GNOME/gegl.git#tag=$_tag")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd "${pkgname}"
+  git describe --tags | sed 's/^GEGL_//;s/_$//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd "${pkgname}"
+  git cherry-pick -n 002f4807e511e65c885cb7c10643b6f44a514eb3..7e19debd83f0658b59fc86c214332ded4f935035
+}
+
+build() {
+  mkdir -p build
+  cd build
+  arch-meson ../"${pkgname}" \
+    -Dworkshop=true \
+    -Dmrg=disabled \
+    -Dmaxflow=disabled
+  ninja
+}
+
+check() {
+  cd build
+  ninja test || :
+}
+
+package() {
+  cd build
+  DESTDIR="${pkgdir}" ninja install
+}



More information about the arch-commits mailing list